This is the Discover application programming interface (API) reference. If you have not already read {\tt The Discover Hardware Detection System}, you should do so now. The following list describes the contents of the links at the top of the page:

\begin{itemize}
\item Main page -- This page\end{itemize}


\begin{itemize}
\item Modules -- List of top-level modules; you probably want to start here, where navigation is fastest\end{itemize}


\begin{itemize}
\item Data Structures -- List of data structures used by Discover\end{itemize}


\begin{itemize}
\item File List -- List of files comprising Discover's external interface, with links to documentation and source code\end{itemize}


\begin{itemize}
\item Data Fields -- List of fields used in Discover's structs and unions\end{itemize}


\begin{itemize}
\item Globals -- List of global symbols, with links to file summaries\end{itemize}


The Discover library was written by Eric Gillespie, John R. Daily, and Josh Bressers, with design input from Branden Robinson. 